### Hierarchy

- SideNav

## Index

### Inputs

- allowExpansion
- ariaLabel
- expanded
- hidden
- navigationItems
- rail

### Constructors

- constructor

### Properties

- allowExpansion
- ariaLabel
- expanded
- hidden
- hostClass
- i18n
- navigationItems
- rail
- role
- ux

### Methods

- toggle

## Constructors

### constructor

- new SideNav(i18n: I18n): SideNav

- - Defined in src/ui-shell/sidenav/sidenav.component.ts:106

  #### Parameters

  - ##### i18n: I18n

  #### Returns SideNav

## Properties

### allowExpansion

@Input()
allowExpansion: boolean = false

- Defined in src/ui-shell/sidenav/sidenav.component.ts:99

### ariaLabel

@HostBinding({"hostPropertyName":"attr.aria-label"})
@Input()
ariaLabel: string = "Side navigation"

- Defined in src/ui-shell/sidenav/sidenav.component.ts:88

### expanded

@HostBinding({"hostPropertyName":"class.bx--side-nav--expanded"})
@Input()
expanded: boolean = true

- Defined in src/ui-shell/sidenav/sidenav.component.ts:92

### hidden

@HostBinding({"hostPropertyName":"class.bx--side-nav--hidden"})
@Input()
hidden: boolean = false

- Defined in src/ui-shell/sidenav/sidenav.component.ts:96

### hostClass

@HostBinding({"hostPropertyName":"class.bx--side-nav"})
hostClass: boolean = true

- Defined in src/ui-shell/sidenav/sidenav.component.ts:87

### i18n

i18n: I18n

- Defined in src/ui-shell/sidenav/sidenav.component.ts:108

### navigationItems

@Input()
navigationItems: NavigationItem[]

- Defined in src/ui-shell/sidenav/sidenav.component.ts:106

### rail

@HostBinding({"hostPropertyName":"class.bx--side-nav--rail"})
@Input()
rail: boolean = false

- Defined in src/ui-shell/sidenav/sidenav.component.ts:97

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "complementary"

- Defined in src/ui-shell/sidenav/sidenav.component.ts:86

### ux

@HostBinding({"hostPropertyName":"class.bx--side-nav--ux"})
ux: boolean = true

- Defined in src/ui-shell/sidenav/sidenav.component.ts:98

## Methods

### toggle

- toggle(): void

- - Defined in src/ui-shell/sidenav/sidenav.component.ts:110

  #### Returns void

Generated using TypeDoc